import { UiResourceMeta } from "./ui-resource-meta";
export declare const resourceMetaCachePrefix = "UiResourceMeta";
/** @internal */
export declare function fetchUiResourceMeta(resourceName: string): Promise<any>;
export declare function fetchUiResourceMetas(resourceNames: string[]): Promise<{
    [x: string]: UiResourceMeta;
    [x: number]: UiResourceMeta;
}>;
export declare function saveUiResourceMetaToCache(uiResourceMeta: UiResourceMeta): void;
export declare function saveUiResourceMetasToCache(uiResourceMetas: UiResourceMeta[]): void;
export declare function getUiResourceMetaFromCache(resourceName: string): any;
